************************************** ``GET`` List all Assessments ************************************** This API retrieves information about all assessments associated with the company. Request URL ============= .. code-block:: GET /assessments/active .. warning:: Make sure to add your API key in Header of the request Query Parameters ================= +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+=====================================================================================================+ | name | *string* | Filter assessments by name. Performs a case-insensitive partial match on the assessment name. | | *(optional)* | | | | | | **Example:** ``GET /assessments/active?name=Python`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | from_date | *string* | Inclusive start of the creation-date filter range. Format ``YYYY-MM-DD``. Omit to leave the start | | *(optional)* | | of the range unbounded. | | | | | | | | **Example:** ``GET /assessments/active?from_date=2025-01-01`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | to_date | *string* | Inclusive end of the creation-date filter range. Format ``YYYY-MM-DD``. Omit to leave the end of | | *(optional)* | | the range unbounded. | | | | | | | | **Example:** ``GET /assessments/active?to_date=2025-12-31`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing assessments associated with the company, with the most recent one listed first. If query parameters are provided, only matching assessments are returned. .. code-block:: JSON [ { "assessment_id": "integer", "assessment_name": "string", "created_by": "string", "date": "string" }, ]